ValidatePIN

Validate the PIN.

Request Path Parameters

ParametertypeLimitsrequiredDescription
terminalIDString10 characters✓The Paymentology issued terminal id of the terminal requesting the transaction
referenceString1-255 characters✓The reference of the wallet for which validation must take place
PINBlockString1-10 characters✓The triple DES encrypted PIN to validate the transaction
transactionIDString1-255 characters✓Transaction id number generated by the calling client. Note that the Transaction id is not a unique value and may be duplicated over time.
transactionDateDate✓Transaction date generated by the calling client
checksumString✓HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key
"<methodCall>
    <methodName>ValidatePIN</methodName>
    <params>
        <param>
            <value>
                <string>0014682067</string>
            </value>
        </param>
        <param>
            <value>
                <string>TEST123</string>
            </value>
        </param>
        <param>
            <value>
                <string>D45201B9E3136796</string>
            </value>
        </param>
        <param>
            <value>
                <string>1262563963</string>
            </value>
        </param>
        <param>
            <value>
                <dateTime.iso8601>20200315T12:35:09</dateTime.iso8601>
            </value>
        </param>
        <param>
            <value>
                <string>9D41AF94DCE3A2BE76E3F8F0FDC7C3596A257BBB</string>
            </value>
        </param>
    </params>
</methodCall>"

Response Parameters

FieldtypeDescription
resultCodeIntegerStatus code indicating transaction result
<?xml version=""1.0"" encoding=""UTF-8""?>
<methodResponse>
  <params>
    <param>
      <value>
        <struct>
          <member>
            <name>resultCode</name>
              <value>
                <int>1</int>
              </value>
          </member>
        </struct>
      </value>
    </param>
  </params>
</methodResponse>